{$R+,S+,I-,D+,T-,F-,V-,B-,N-,L+ }
{$M 16384,0,655360 }

{############################ PullVar.PAS ###################################}

Unit PullVar;

Interface

TYPE
  ColorType     = (Bor,        { Frame }
                   Tit,        { Title }
                   Ask,        { Prompt }
                   Msk,        { Mask }
                   Sel,        { Select bar }
                   Nor,        { Normal text }
                   Hil,        { Hilited text }
                   Mem,        { Memory prefix }
                   Num,        { Memory number }
                   Err,        { Error messages }
                   Dir,        { <DIR> display }
                   Nam,        { File name }
                   Ext,        { File extension }
                   Siz,        { File size }
                   Dat,        { File date }
                   Tim,        { File time }
                   Key,        { Command key }
                   Cmd,        { Command description }
                   Bk1,        { Directory background }
                   Bk2);       { Help background }

  ColorArray    = Array[ColorType] of Byte;

CONST
  BlackBlue=    16;               GreenBlue=    18;
  CyanBlue=     19;               RedBlue=      20;
  MagBlue=      21;               BrownBlue=    22;
  LtGrayBlue=   23;               DkGrayBlue=   24;
  LtBlueBlue=   25;               LtGreenBlue=  26;
  LtCyanBlue=   27;               LtRedBlue=    28;
  LtMagBlue=    29;               YellowBlue=   30;
  WhiteBlue=    31;               Blue=         1;
  Green=        2;                Cyan=         3;
  Red=          4;                Magenta=      5;
  Brown=        6;                LtGray=       7;
  DkGray=       8;                LtBlue=       9;
  LtGreen=      10;               LtCyan=       11;
  LtRed=        12;               LtMag=        13;
  Yellow=       14;               White=        15;
  YellowRed=    78;               WhiteRed=     79;
  WhiteGreen=   47;               WhiteYellow=  46;
  BlackGreen=   32;               BlueGreen=    33;

  Clr1   : ColorArray = (Red,               { Frame }
                         White,             { Title }
                         Green,             { Prompt }
                         BlueGreen,         { Mask }
                         WhiteRed,          { Select Bar }
                         Brown,             { Normal text }
                         LtGreen,           { Hilited text }
                         BlackGreen,        { Memory prefix }
                         WhiteGreen,        { Memory number }
                         YellowRed,         { Error messages }
                         WhiteBlue,         { <DIR> display }
                         YellowBlue,        { File name }
                         YellowBlue,        { File extension }
                         BlackBlue,         { File size }
                         GreenBlue,         { File date }
                         BrownBlue,         { File time }
                         Yellow,            { Command key }
                         Green,             { Command description }
                         WhiteBlue,         { Directory background }
                         White);            { Help background }

  EditArray     : Array[1..19] of String[33] =
  { change this area to customize for your particular help area }

   (' Enter a directory mask to scan  ',
    ' for or press ENTER to accept.   ',
    '                                 ',
    '  --<<< EDITING COMMANDS >>>--   ',
    '                                 ',
    ' HOME,^W: First name in DIR      ',
    ' END ,^Z: Last  name in DIR      ',
    ' PgUp,^R: Jump up one page       ',
    ' PgDn,^C: Jump down one page     ',
    ' Up  ,^E: Cursor up one line     ',
    ' Down,^X: Cursor down one line   ',
    ' ENTER  : Accept filename        ',
    ' ESC    : Abort and return       ',
    '                                 ',
    '                                 ',
    '                                 ',
    '                                 ',
    '                                 ',
    '                                 ');

Implementation

End.
